/*
 * File:
 *   util.h
 * Author(s):
 *   Pascal Felber <Pascal.Felber@unine.ch>
 * Description:
 *   Utility functions.
 *
 * Copyright (c) 2004-2005.
 */

#ifndef UTIL_H
#define UTIL_H

#include <sys/types.h>

/* ################################################################### *
 * FUNCTIONS
 * ################################################################### */

ssize_t xread(int fd, void *p, size_t n);

ssize_t xwrite(int fd, void *p, size_t n);

void *xcalloc(size_t count, size_t size);

void *xmalloc(size_t size);

void *xrealloc(void *ptr, size_t size);

char *xstrdup(const char *str);

#endif /* UTIL_H */
